/**
 * Render
 */
import type { RenderArgs, RenderReturn } from './RenderTypes';
/**
 * Function - loop through all content types to output pages and posts
 *
 * @param {import('./RenderTypes').RenderArgs} args
 * @return {Promise<import('./RenderTypes').RenderReturn[]|import('./RenderTypes').RenderReturn>}
 */
declare const Render: (args: RenderArgs) => Promise<RenderReturn[] | RenderReturn>;
export { Render };
